import type { JSX } from "@zag-js/types";
export declare function isKeyboardClick(e: Pick<MouseEvent, "detail" | "clientX" | "clientY">): boolean;
export declare function isPrintableKey(e: Pick<KeyboardEvent, "key" | "ctrlKey" | "metaKey">): boolean;
export declare function isVirtualPointerEvent(event: PointerEvent): boolean;
export declare function isVirtualClick(event: MouseEvent | PointerEvent): boolean;
declare type NativeEvent<E> = JSX.ChangeEvent<any> extends E ? InputEvent : E extends JSX.SyntheticEvent<any, infer T> ? T : never;
export declare function getNativeEvent<E>(e: E): NativeEvent<E>;
export declare function isSelfEvent(event: Pick<Event, "currentTarget" | "target">): boolean;
export declare const supportsPointerEvent: () => boolean;
export declare const supportsTouchEvent: () => boolean;
export declare const supportsMouseEvent: () => boolean;
export declare const isMouseEvent: (v: any) => v is MouseEvent;
export declare const isTouchEvent: (v: any) => v is TouchEvent;
export declare const isLeftClick: (v: {
    button: number;
}) => boolean;
export declare const isContextMenuEvent: (e: Pick<MouseEvent, "button" | "ctrlKey" | "metaKey">) => boolean;
export declare const isRightClick: (v: {
    button: number;
}) => boolean;
export declare const isModifiedEvent: (v: Pick<KeyboardEvent, "ctrlKey" | "metaKey" | "altKey">) => boolean;
export declare const isCtrlKey: (v: Pick<KeyboardEvent, "ctrlKey" | "metaKey">) => boolean;
export declare function whenMouse<E>(handler: JSX.PointerEventHandler<E>): JSX.PointerEventHandler<E>;
export declare function whenTouchOrPen<E>(handler: JSX.PointerEventHandler<E>): JSX.PointerEventHandler<E>;
export {};
