declare type IncludeContainerType = boolean | "if-empty";
export declare const focusableSelector: string;
/**
 * Returns the focusable elements within the element
 */
export declare const getFocusables: (container: Pick<HTMLElement, "querySelectorAll"> | null, includeContainer?: IncludeContainerType) => HTMLElement[];
/**
 * Whether this element is focusable
 */
export declare function isFocusable(element: HTMLElement | null): element is HTMLElement;
export declare function getFirstFocusable(container: HTMLElement, includeContainer?: IncludeContainerType): HTMLElement;
/**
 * Returns the tabbable elements within the element
 */
export declare function getTabbables(container: HTMLElement | null, includeContainer?: IncludeContainerType): HTMLElement[];
/**
 * Whether this element is tabbable
 */
export declare function isTabbable(el: HTMLElement | null): el is HTMLElement;
export declare function getFirstTabbable(container: HTMLElement | null, includeContainer?: IncludeContainerType): HTMLElement;
export declare function getLastTabbable(container: HTMLElement | null, includeContainer?: IncludeContainerType): HTMLElement;
export {};
