export interface EventMap extends DocumentEventMap, WindowEventMap, HTMLElementEventMap {
}
export declare type DOMTarget = Document | HTMLElement | EventTarget | null;
export declare type AnyPointerEvent = MouseEvent | TouchEvent | PointerEvent;
export declare type RefTarget = {
    current: HTMLElement | null;
};
export declare type DOMEventTarget = (() => DOMTarget) | DOMTarget | RefTarget;
export declare type EventListenerOptions = boolean | AddEventListenerOptions;
export interface PointerEventInfo {
    point: {
        x: number;
        y: number;
    };
}
export declare type EventListenerWithPointInfo<T extends AnyPointerEvent = AnyPointerEvent> = (event: T, info: PointerEventInfo) => void;
export interface PointerNameMap {
    pointerdown: string;
    pointermove: string;
    pointerup: string;
    pointercancel: string;
    pointerover?: string;
    pointerout?: string;
    pointerenter?: string;
    pointerleave?: string;
}
