declare type Root = Document | Element | null | undefined;
export declare function queryAll<T extends HTMLElement = HTMLElement>(root: Root, selector: string): T[];
export declare function query<T extends HTMLElement = HTMLElement>(root: Root, selector: string): T;
export declare function itemById<T extends HTMLElement>(v: T[], id: string): T;
export declare function indexOfId<T extends HTMLElement>(v: T[], id: string): number;
export declare function nextById<T extends HTMLElement>(v: T[], id: string, loop?: boolean): T;
export declare function prevById<T extends HTMLElement>(v: T[], id: string, loop?: boolean): T;
export declare function findByText<T extends HTMLElement>(v: T[], text: string, currentId?: string | null): T;
export declare function sortByTreeOrder<T extends HTMLElement>(v: T[]): T[];
export {};
