export declare function isDocument(el: any): el is Document;
export declare function isShadowRoot(el: any): el is ShadowRoot;
export declare function isWindow(value: any): value is Window;
export declare function isFrame(element: Element): element is HTMLIFrameElement;
export declare const isWithinShadowRoot: (node: HTMLElement) => boolean;
export declare function getDocument(el: Element | Window | Node | Document | null): Document;
export declare function getRootNode(el: Node): Document | ShadowRoot;
export declare function getWindow(el: HTMLElement): Window & typeof globalThis;
export declare function getDocumentElement(el: HTMLElement | Window): HTMLElement;
export declare function getNodeName(node: HTMLElement | Window | null): string;
export declare function getEventWindow(event: UIEvent): Window;
export declare function getEventTarget<T extends EventTarget>(event: Event): T | null;
export declare function getActiveElement(el: HTMLElement): HTMLElement | null;
export declare function getActiveDescendant(node: HTMLElement | null): HTMLElement | null;
export declare function getParent(el: HTMLElement): HTMLElement;
declare type Ctx = {
    getRootNode?: () => Document | ShadowRoot | Node;
};
export declare function defineDomHelpers<T>(helpers: T): {
    getRootNode: (ctx: Ctx) => Document | ShadowRoot;
    getDoc: (ctx: Ctx) => Document;
    getWin: (ctx: Ctx) => Window & typeof globalThis;
    getActiveElement: (ctx: Ctx) => HTMLElement;
    getById: <T_1 = HTMLElement>(ctx: Ctx, id: string) => T_1;
} & T;
export declare function contains(parent: HTMLElement | EventTarget | null | undefined, child: HTMLElement | EventTarget | null): boolean;
export declare function isHTMLElement(v: any): v is HTMLElement;
export declare const isDisabled: (el: HTMLElement | null) => boolean;
export declare function isElementEditable(el: HTMLElement | null): boolean;
export declare function isVisible(el: Element): boolean;
export {};
